Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.query
Class QueryRequest

    java.lang.Object
      com.bea.query.QueryRequest

All Implemented Interfaces
  Serializable

Deprecated Use com.autonomy.* classes instead

    public class QueryRequest

extends Object
implements Serializable

The QueryRequest class is used to generate a query to the Autonomy DRE.

See Also
  Serialized Form

Constructor Summary
`QueryRequest()` Deprecated Default constructor does nothing.

Method Summary
`void` | `addSearchDatabase(String dbName)` Deprecated Add a search database in the DRE to query.
`void` | `clearSearchDatabases()` Deprecated Remove all databases from this QueryRequest.
`Iterator` | `getDatabases()` Deprecated Get an Iterator over the databases listed.
`Integer` | `getMaximumNumberOfResults()` Deprecated Get the maximum number of results for the DRE to return.
`String` | `getQueryText()` Deprecated Gets the current query text.
`Double` | `getThreshold()` Deprecated Gets the current threshold value.
`void` | `setMaximumNumberOfResults(int num)` Deprecated The number of results returned.
`void` | `setMaximumNumberOfResults(Integer num)` Deprecated A convience method for setting the number of returned results with an Integer.
`void` | `setQueryText(String text)` Deprecated Sets the query string to be sent to the Autonomy DRE.
`void` | `setThreshold(double thold)` Deprecated The threshold is a number from 0 (zero) to 100 that is assigned to each result by the DRE.
`void` | `setThreshold(Double thold)` Deprecated A convience method to set the threshold with a Double value.
`String` | `toString()` Deprecated Print out the contents of this QueryRequest.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QueryRequest

    public QueryRequest()

  Deprecated
  Default constructor does nothing.

Method Detail

### setQueryText

    public void setQueryText(String text)

  Deprecated
  Sets the query string to be sent to the Autonomy DRE. This string is a "natural text" string but will also handle simple keyword searches. There are no predefined delimiters.

  Parameters
    `text` - the query text to be used

### getQueryText

    public String getQueryText()

  Deprecated
  Gets the current query text.

  Returns
    the query text

### setMaximumNumberOfResults

    public void setMaximumNumberOfResults(int num)

  Deprecated
  The number of results returned. Any particular search may have many more than this number but the DRE only sends this amount back. The DRE defaults this value to one but this class has no default.

  Parameters
    `num` - the integer number of results to return

### setMaximumNumberOfResults

    public void setMaximumNumberOfResults(Integer num)

  Deprecated
  A convience method for setting the number of returned results with an Integer.

  Parameters
    `num` - the Integer number of results to return.

### getMaximumNumberOfResults

    public Integer getMaximumNumberOfResults()

  Deprecated
  Get the maximum number of results for the DRE to return.

  Returns
    the maximum number of results. This value may be null.

### setThreshold

    public void setThreshold(double thold)
                      throws IllegalArgumentException

  Deprecated
  The threshold is a number from 0 (zero) to 100 that is assigned to each result by the DRE. No results under this number will be returned.

  Parameters
    `thold` - the double threshold value
  Throws
    `an` - IllegalArgumentException if the value falls outside the acceptable range.
    `IllegalArgumentException`

### setThreshold

    public void setThreshold(Double thold)
                      throws IllegalArgumentException

  Deprecated
  A convience method to set the threshold with a Double value.

  Parameters
    `thold` - the Double threshold value
  Throws
    `an` - IllegalArgumentException if the value falls outside the acceptable range.
    `IllegalArgumentException`

### getThreshold

    public Double getThreshold()

  Deprecated
  Gets the current threshold value.

  Returns
    the threshold value. This may be null.

### addSearchDatabase

    public void addSearchDatabase(String dbName)

  Deprecated
  Add a search database in the DRE to query. No verification is done on the database name by this class to make sure it is valid in the DRE.

  Parameters
    `dbName` - the name of the database to add to the QueryRequest.

### clearSearchDatabases

    public void clearSearchDatabases()

  Deprecated
  Remove all databases from this QueryRequest.

### getDatabases

    public Iterator getDatabases()

  Deprecated
  Get an Iterator over the databases listed. This Iterator will not be null but may be empty.

  Returns
    an Iterator over the database list. The list will contain all Strings.

### toString

    public String toString()

  Deprecated
  Print out the contents of this QueryRequest. This is mostly used for debugging.

  Overrides:
    `toString` in class `Object`
  Returns
    a debug version of the QueryRequest

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.